
public class Class1  
{
	/**
	 * The main entry point for the application. 
	 */
	public static void main (String[] args)
	{
		double xx = Math.PI;
		System.out.println(" xx = " +  xx);

		sine mySin = new sine(xx);
		System.out.println("Math.sin(xx)  =     " + Math.sin(xx));
		System.out.println("Sin to 0 term =     "+ mySin.valAt(0));
		System.out.println("Sin to 1 term =     "+ mySin.valAt(1));
		System.out.println("Sin to 2 terms =    "+ mySin.valAt(2));
		System.out.println("Sin to 3 terms =    "+ mySin.valAt(3));
		System.out.println("Sin to 100 terms =  "+ mySin.valAt(100));
		System.out.println("Sin to 1000 terms = "+ mySin.valAt(1000));
		//series.pause();
		//mySin.list(10);
		series.pause();
		
		cosine myCosin = new cosine(xx);
		System.out.println("Math.cos(xx) =      " + Math.cos(xx));
		System.out.println("cos to 0 term =     "+ myCosin.valAt(0));
		System.out.println("cos to 1 term =     "+ myCosin.valAt(1));
		System.out.println("cos to 2 terms =    "+ myCosin.valAt(2));
		System.out.println("cos to 3 terms =    "+ myCosin.valAt(3));
		System.out.println("cos to 100 terms =  "+ myCosin.valAt(100));
		System.out.println("cos to 1000 terms = "+ myCosin.valAt(1000));
		//series.pause();
		//myCosine.list(10);
		series.pause();
		series.pause();

	}
}
